<?php
/**
 * Class Fields
 *
 * Abstract class for managing advanced fields.
 *
 * @package RexTheme\Checkoutify\Abstracts
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Abstracts;

/**
 * Class Fields
 *
 * Abstract class for managing advanced fields.
 *
 * @package RexTheme\Checkoutify\Abstracts
 * @since 1.0.0
 */

abstract class Fields {

    /**
     * Get fields.
     *
     * This method should be implemented by the extending classes to retrieve fields.
     *
     * @return array Associative array containing the advanced fields.
     */
    abstract function getFields();
}
