<?php
/**
 * LoadAssets.php
 *
 * This file defines the LoadAssets class, which is responsible for managing the loading of assets in the WordPress admin area for the Checkoutify plugin. It provides a centralized mechanism for enqueueing scripts and styles required for the plugin's functionality within the WordPress dashboard.
 *
 * @package RexTheme\Checkoutify\Assets
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Assets;

/**
 * LoadAssets Class
 *
 * The LoadAssets class is responsible for managing the loading of assets in the WordPress admin area for the Checkoutify plugin. It provides a centralized mechanism for enqueueing scripts and styles required for the plugin's functionality within the WordPress dashboard.
 *
 * This class encapsulates asset loading logic, making it easy to add, modify, or remove assets as needed, providing a structured approach to asset management for the Checkoutify plugin.
 *
 * @package RexTheme\Checkoutify\Assets
 * @since 1.0.0
 */
class LoadAssets {


	/**
	 * Load assets for the admin area.
	 *
	 * Enqueues the 'checkoutify-script-boot' script for the Checkoutify plugin in the WordPress admin.
	 *
	 * @since 1.0.0
	 */
	public function admin() {
		Vite::enqueueScript( 'checkoutify-script-boot', 'admin/start.js', array( 'jquery','wp-editor' ), CHECKOUTIFY_VERSION, true );
	}

}
