(function($) {
    'use strict';

    jQuery(document).ready(function () {
        console.log('hello razun');
        $( document ).on( 'change', 'select#billing_country, select#shipping_country, input[name^="shipping_method"]', function(e) {
            e.stopPropagation();
            
            $('body').trigger('update_checkout')
            var elementId = $(this).attr('id');
            if( 'billing_country' === elementId || 'shipping_country' === elementId ){
                var country = $(this).val(),
                    section = 'billing_country' === elementId ? 'billing' : 'shipping';
                jQuery.ajax({
                    type: 'POST',
                    url: checkoutifyPublicObj.ajaxurl,
                    data: {
                        action: 'update_states',
                        security: checkoutifyPublicObj.security,
                        section: section,
                        country: country,
                    },
                    success: function (response) {
                        if( response.isState ){
                            $('.'+section+'_state-checkoutify-select2').attr('style', 'display: flex !important');
                            $('.'+section+'_state-checkoutify-input').attr('style', 'display: none !important');
                            $('.'+section+'_state-checkoutify-input').attr('name', section+'_'+'state_');
                            $('.'+section+'_state-checkoutify-select2 #'+section+'_state').html(response.html);
                        }else{
                            $('.'+section+'_state-checkoutify-select2').attr('style', 'display: none !important');
                            $('.'+section+'_state-checkoutify-input').attr('style', 'display: flex !important');
                            $('.' + section + '_state-checkoutify-input').show();
                            $('.'+section+'_state-checkoutify-input').attr('name', section+'_'+'state');
                        }
                    },
                });
            }
        });


        // -------Chekcout multistep next previous functionality--------
        $('.step-progress-navigation .rex-checkoutify-btn, .rex-checkoutify-multistep-progressbar .progress-inner').on('click', function () {
            let targetTab = $(this).attr('target-step');
            let isValidate = true;
            let isCompleted = false;

            if( $(this).parents('.single-step-progress').hasClass('completed') ) {
                isCompleted = true;

            }else if( $('.checkout-single-step.checkout-' + targetTab).hasClass('completed') ){
                isCompleted = true;
            }
            

            //---for input and select box field----
            $('.checkout-single-step.active:not(.completed) .rex-checkoutify-input[required]').each(function () {
                if(!$(this).val()){
                    isValidate = false;

                    $(this).parents('.single-field').find('.checkoutify-validation-msg').remove();
                    $(this).parents('.single-field').append('<span class="checkoutify-validation-msg">Field is required</span>').fadeIn();

                    if ( "billing_state_" === $(this).attr("name") || "billing_state" === $(this).attr("name") || "shipping_state_" === $(this).attr("name") || "shipping_state" === $(this).attr("name") ) {
                        $(this).parents(".single-field").find(".checkoutify-validation-msg").remove();
                        isValidate = true;
                    }
                }else {
                    $(this).parents('.single-field').find('.checkoutify-validation-msg').remove();
                }
            })


            //---for radio button and checkbox field----
            $('.checkout-single-step.active:not(.completed) .rex-checkoutify-radio-group.has-validation, .checkout-single-step.active:not(.completed) .rex-checkoutify-checkbox-group.has-validation').each(function () {
                if (!$(this).find('input[required]:checked').length > 0) {
                    isValidate = false;
                    $(this).parents('.single-field').find('.checkoutify-validation-msg').remove();
                    $(this).parents('.single-field').append('<span class="checkoutify-validation-msg">Field is required</span>').fadeIn();
                }else {
                    $(this).parents('.single-field').find('.checkoutify-validation-msg').remove();
                }    
            })


            if(isValidate || isCompleted){
                $('.checkout-single-step').removeClass('active');

                $('.checkout-single-step.checkout-' + targetTab).prevAll().addClass('completed');
                $('.checkout-single-step.checkout-' + targetTab).removeClass('completed').addClass('active');

                $('.single-step-progress').removeClass('active completed');
                $('.single-step-progress.progress-' + targetTab).addClass('active');

                $('.single-step-progress.progress-' + targetTab).prevAll().addClass('completed');
                $('.single-step-progress.progress-' + targetTab).nextAll().removeClass('active completed');
            }


        });


        $('.rex-checkoutify-coupon .coupon-button').on('click', function () {
            let code = $('.rex-checkoutify-coupon .rex-checkoutify-input').val();

            jQuery.ajax({
                type: 'POST',
                url: checkoutifyPublicObj.ajaxurl,
                data: {
                    action: 'checkoutify_apply_coupon',
                    security: checkoutifyPublicObj.security,
                    code: code,
                },
                success: function (response) {
                    if (response.success) {
                        if (window.wp && wp.data && wp.data.dispatch) {
                            window.location.reload();
                        } else {
                            $('body').trigger('update_checkout');
                        }
                    } else {
                        alert(response?.message);
                    }
                },
                error: function (error) {
                    console.error('AJAX error:', error);
                }
            });
        });



        $('#terms').change(function() {
            if ($(this).is(':checked')) {
                $(this).val('1');
            } else {
                $(this).val(''); // Ensuring it sends no value if unchecked
            }
            console.log($(this).val());
        });


        // --------- chekoutify floating label---------
        $('.rex-checkoutify-form-group.label-inside .rex-checkoutify-input, .rex-checkoutify-checkout .label-inside .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text').attr('placeholder', '');

        $('.rex-checkoutify-form-group.label-inside .rex-checkoutify-input').each(function(){
            if ($(this).val() || $(this).find(":selected").val()) {
                $(this).parents('.rex-checkoutify-form-group.label-inside').addClass('floated');
            }
        });

        $('.rex-checkoutify-form-group.label-inside:not(.type-textarea) .rex-checkoutify-input').on('focus',function(){
            $(this).parents('.rex-checkoutify-form-group').addClass('floated');
        })

        $('.rex-checkoutify-form-group.label-inside:not(.type-textarea) .rex-checkoutify-input').on('blur',function(){
            if (!$(this).val()) {
                $(this).parents('.rex-checkoutify-form-group').removeClass('floated');
            }
        })

        //---------floating label for create account field---------
        $('.rex-checkoutify-form-group.label-inside .rex-checkoutify-input, .rex-checkoutify-checkout .label-inside .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text').attr('placeholder', '');

        $('.rex-checkoutify-checkout .label-inside .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text').each(function(){
            if ($(this).val()) {
                $(this).parents('.label-inside .form-row').addClass('floated');
            }
        });

        $('.rex-checkoutify-checkout .label-inside .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text').on('focus',function(){
            $(this).parents('.form-row').addClass('floated');
        })

        $('.rex-checkoutify-checkout .label-inside .rex-checkoutify-account-fields .woocommerce-input-wrapper .input-text').on('blur',function(){
            if (!$(this).val()) {
                $(this).parents('.form-row').removeClass('floated');
            }
        })

        $('.add-ob-product').on('click', function(){
            $(this).parents('.rex-checkoutify-orderbump').find('.rex-checkoutify-ob-loader').css('display', 'flex');

            let quantity = $(this).attr('data-quantity'),
                productId = $(this).attr('data-product-id'),
                regularPrice = $(this).attr('data-regular-price'),
                salePrice = $(this).attr('data-sale-price'),
                discountPrice = $(this).attr('data-discounted-price'),
                replace       = $(this).attr('data-replace'),
                checked       = $(this).is(':checked');

                if(checked){
                    $(this).parents(".rex-checkoutify-orderbump4").find('.add-product').text('Remove');
                } else{
                    $(this).parents(".rex-checkoutify-orderbump4").find('.add-product').text('Add');
                }

            if ('yes' === replace) {
                $('.add-ob-product[type="checkbox"]').each(function () {
                    if ($(this).is(':checked') &&  productId !== $(this).attr('data-product-id') ) {
                        $(this).prop("checked", false);
                    }
                });
            }
            $("input[name='checkoutify_orderbump_clicked']").val('yes')
            jQuery.ajax({
                type: 'POST',
                url: checkoutifyPublicObj.ajaxurl,
                data: {
                    action: 'checkoutify_apply_orderbump',
                    security: checkoutifyPublicObj.security,
                    quantity: quantity,
                    productId: productId,
                    regularPrice: regularPrice,
                    salePrice: salePrice,
                    discountPrice: discountPrice,
                    replace: replace,
                    checked: checked ? 'yes' : 'no'
                },
                success: function (response) {
                    if(response.success){
                        $('body').trigger('update_checkout');
                        $('.rex-checkoutify-orderbump .rex-checkoutify-ob-loader').css('display', 'none');
                    }
                },
            });
        })

        // -----------multistep input field validation----------

        // $( document.body ).on( 'click', 'a.showlogin', show_login_form );

        function show_login_form() {
			$( 'form.login, form.woocommerce-form--login' ).slideToggle();
			return false;
		}

        // Populate fields on load from the session data
        let sessionData = window?.checkoutifyPublicObj?.customer_session;
        function populateCheckoutFields(sessionData) {
            $('#billing_first_name').val(sessionData?.first_name);
            $('#billing_last_name').val(sessionData?.last_name);
            $('#billing_company').val(sessionData?.company);
            $('#billing_phone').val(sessionData?.phone);
            $('#billing_email').val(sessionData?.email);
            $('#billing_address_1').val(sessionData?.address_1);
            $('#billing_address_2').val(sessionData?.address_2);
            $('#billing_city').val(sessionData?.city);
            $('#billing_state').val(sessionData?.state);
            $('#billing_postcode').val(sessionData?.postcode);
            $('#billing_country').val(sessionData?.country);

            $('#shipping_first_name').val(sessionData?.shipping_first_name);
            $('#shipping_last_name').val(sessionData?.shipping_last_name);
            $('#shipping_company').val(sessionData?.shipping_company);
            $('#shipping_phone').val(sessionData?.shipping_phone);
            $('#shipping_address_1').val(sessionData?.shipping_address_1);
            $('#shipping_address_2').val(sessionData?.shipping_address_2);
            $('#shipping_city').val(sessionData?.shipping_city);
            $('#shipping_state').val(sessionData?.shipping_state);
            $('#shipping_postcode').val(sessionData?.shipping_postcode);
            $('#shipping_country').val(sessionData?.shipping_country);
        }

        populateCheckoutFields(sessionData);


        $('.woocommerce-remove-coupon').on('click', function(e){
            e.preventDefault();
            if (window.wp && wp.data && wp.data.dispatch) {
                let code = $(this).data('coupon');
                jQuery.ajax({
                    type: 'POST',
                    url: checkoutifyPublicObj.ajaxurl,
                    data: {
                        action: 'checkoutify_remove_coupon',
                        security: checkoutifyPublicObj.security,
                        code: code,
                    },
                    success: function (response) {
                        if (response.success) {
                            if (window.wp && wp.data && wp.data.dispatch) {
                                alert(response.message);
                                window.location.reload();
                            } else {
                                $('body').trigger('update_checkout');
                            }
                        } else {
                            alert(response.message);
                        }
                    },
                    error: function (error) {
                        console.error('AJAX error:', error);
                    }
                });
            }
        })

        $('.showlogin').off('click').on('click', function(){
            if(window?.checkoutifyPublicObj?.is_wc_block_checkout){
                $('.woocommerce-form-login').slideToggle('slow');
            }
        });

    });
    // end document rady function

})(jQuery);


