<?php
/**
 * TwentyTwenty.php
 *
 * This file initializes the funnel class, ensuring compatibility with the Checkoutify plugin.
 *
 * @package RexTheme\Checkoutify\Compatibility
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Compatibility;

use RexTheme\Checkoutify\Common\Functions;

/**
 * Class Avada
 *
 * This class manages Compatibility with Avada and Checkoutify.
 *
 * @since 1.0.0
 */
class Avada {


	/**
	 * Avada class constructor.
	 *
	 * Initializes the class and adds necessary actions for compatibility.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
        remove_action( 'woocommerce_before_checkout_form', array(Avada_Woocommerce, 'avada_top_user_container'), 1 );
        remove_action( 'woocommerce_before_checkout_form', array(Avada_Woocommerce, 'checkout_coupon_form'), 10 );
        remove_action( 'woocommerce_before_checkout_form', array(Avada_Woocommerce, 'before_checkout_form') );
	}



}
