<?php
/**
 * Blocksy.php
 *
 * This file initializes the funnel class, ensuring compatibility with the Checkoutify plugin.
 *
 * @package RexTheme\Checkoutify\Compatibility
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Compatibility;

use RexTheme\Checkoutify\Common\Functions;

/**
 * Class Blocksy
 *
 * This class manages Compatibility with Blocksy and Checkoutify.
 *
 * @since 1.0.0
 */
class Blocksy {


	/**
	 * Blocksy class constructor.
	 *
	 * Initializes the class and adds necessary actions for compatibility.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
        add_filter('blocksy:woocommerce:checkout:has-custom-markup', [$this, 'removeCustomMarkup'] );
	}


	/**
	 * Return false for checkoutify checkout
	 * 
	 * @param bool $has_custom_checkout 
	 * @return bool False
	 * @since 1.0.0
	 */
	public function removeCustomMarkup( $has_custom_checkout ){
		return false;
	}

}
