<?php
/**
 * TwentyTwenty.php
 *
 * This file initializes the funnel class, ensuring compatibility with the Checkoutify plugin.
 *
 * @package RexTheme\Checkoutify\Compatibility
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Compatibility;

use RexTheme\Checkoutify\Common\Functions;

/**
 * Class Botiga
 *
 * This class manages Compatibility with Botiga and Checkoutify.
 *
 * @since 1.0.0
 */
class Botiga {


	/**
	 * Botiga class constructor.
	 *
	 * Initializes the class and adds necessary actions for compatibility.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
        remove_action( 'woocommerce_checkout_before_order_review_heading', 'botiga_wrap_order_review_before', 5 );
        remove_action( 'woocommerce_checkout_after_order_review', 'botiga_wrap_order_review_after', 15 );

	}



}
