<?php
/**
 * TwentyTwenty.php
 *
 * This file initializes the funnel class, ensuring compatibility with the Checkoutify plugin.
 *
 * @package RexTheme\Checkoutify\Compatibility
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Compatibility;

use RexTheme\Checkoutify\Common\Functions;

/**
 * Class TwentyTwenty
 *
 * This class manages Compatibility with TwentyTwenty and Checkoutify.
 *
 * @since 1.0.0
 */
class TwentyTwenty {


	/**
	 * TwentyTwenty class constructor.
	 *
	 * Initializes the class and adds necessary actions for compatibility.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {
        if( class_exists( '\WC_Twenty_Twenty_Two' ) ) {
            remove_action( 'woocommerce_checkout_before_order_review_heading', array( '\WC_Twenty_Twenty_Two', 'before_order_review' ) );
            remove_action( 'woocommerce_checkout_after_order_review', array( '\WC_Twenty_Twenty_Two', 'after_order_review' ) );
        }

        if( class_exists( '\WC_Twenty_Twenty_Three' ) ) {
            add_action( 'woocommerce_checkout_before_order_review_heading', array( '\WC_Twenty_Twenty_Three', 'before_order_review' ) );
            remove_action( 'woocommerce_checkout_after_order_review', array( '\WC_Twenty_Twenty_Three', 'after_order_review' ) );
        }

	}



}
