<?php
/**
 * CreateAccount.php
 *
 * Manages the create account field module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Field;

use RexTheme\Checkoutify\Abstracts\AdvancedFields;
/**
 * Class CreateAccount
 *
 * Manages the create account field module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */
class CreateAccount extends AdvancedFields {

    /**
     * CSS properties
     *
     * @var array
     */
    public $properties;

    /**
     * Supported styles
     *
     * @var array
     */
    public $supportedStyles;

    /**
     * CreateAccount constructor.
     *
     * Initializes properties and supported styles.
     *
     * @since 1.0.0
     */
    public function __construct() {
        $this->properties = array(
            'key'                => 'create_account',
            'fieldType'          => 'create-account',
            'class'              => array('rex-checkoutify-create-account'),
            'label'              => __('Create Account', 'checkoutify'),
            'name'               => 'create_account',
            'fieldCategory'      => 'wooField',
        );
        $this->supportedStyles = ['label','input'];
    }

    /**
     * Get the field properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getField() {
        $styles = $this->getStyles($this->supportedStyles);
        $properties = $this->properties;
        $properties['styles'] = $styles;
        return $properties;
    }
}
