<?php
/**
 * Login.php
 *
 * Manages the login field module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Field;

use RexTheme\Checkoutify\Abstracts\AdvancedFields;
/**
 * Class Login
 *
 * Manages the login field module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */
class Login extends AdvancedFields {

    /**
     * CSS properties
     *
     * @var array
     */
    public $properties;

    /**
     * Supported styles
     *
     * @var array
     */
    public $supportedStyles;

    /**
     * Login constructor.
     *
     * Initializes properties and supported styles.
     *
     * @since 1.0.0
     */
    public function __construct() {
        $this->properties = array(
            'key'                => 'login',
            'fieldType'          => 'login',
            'class'              => array('rex-checkoutify-coupon'),
            'label'              => __('Login', 'checkoutify'),
            'name'               => 'login',
            'fieldCategory'      => 'wooField',
        );
        $this->supportedStyles = ['label','input','checkbox','button'];
    }

    /**
     * Get the field properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getField() {
        $styles = $this->getStyles($this->supportedStyles);
        $properties = $this->properties;
        $properties['styles'] = $styles;
        return $properties;
    }
}
