<?php
/**
 * Payment.php
 *
 * Manages the payment field module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Field;

use RexTheme\Checkoutify\Abstracts\AdvancedFields;
/**
 * Class Payment
 *
 * Manages the payment field module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */
class Payment extends AdvancedFields {

    /**
     * CSS properties
     *
     * @var array
     */
    public $properties;

    /**
     * Supported styles
     *
     * @var array
     */
    public $supportedStyles;

    /**
     * Payment constructor.
     *
     * Initializes properties and supported styles.
     *
     * @since 1.0.0
     */
    public function __construct() {
        $this->properties = array(
            'key'                => 'payment_method',
            'fieldType'          => 'payment-method',
            'class'              => array('rex-checkoutify-payment'),
            'label'              => __('Payment', 'checkoutify'),
            'name'               => 'payment_method',
            'fieldCategory'      => 'wooField',
        );
        $this->supportedStyles = ['section','radio','box','input','checkbox'];
    }

    /**
     * Get the field properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getField() {
        $styles = $this->getStyles($this->supportedStyles);
        $properties = $this->properties;
        $properties['styles']['payment'] = $styles;
        return $properties;
    }
}
