<?php
/**
 * PlaceOrderButton.php
 *
 * Manages the place order button field module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Field;

use RexTheme\Checkoutify\Abstracts\AdvancedFields;
/**
 * Class PlaceOrderButton
 *
 * Manages the place order button field module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */
class PlaceOrderButton extends AdvancedFields {

    /**
     * CSS properties
     *
     * @var array
     */
    public $properties;

    /**
     * Supported styles
     *
     * @var array
     */
    public $supportedStyles;

    /**
     * PlaceOrderButton constructor.
     *
     * Initializes properties and supported styles.
     *
     * @since 1.0.0
     */
    public function __construct() {
        $this->properties = array(
            'key'                => 'place_order',
            'fieldType'          => 'button',
            'class'              => array('rex-checkoutify-place-order'),
            'label'              => __('Place order', 'checkoutify'),
            'name'               => 'place_order',
            'fieldCategory'      => 'wooField',
        );
        $this->supportedStyles = ['button'];
    }

    /**
     * Get the field properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getField() {
        $styles = $this->getStyles($this->supportedStyles);
        $properties = $this->properties;
        $properties['styles'] = $styles;
        return $properties;
    }
}
