<?php
/**
 * Field.php
 *
 * Manages the fields in the checkout module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Field;
use RexTheme\Checkoutify\Module\OrderBump;
/**
 * Class Field
 *
 * Manages the fields in the checkout module.
 *
 * @package RexTheme\Checkoutify\Module\Field
 * @since 1.0.0
 */
class Field {

   /**
    * Category
    *
    * @var array
    */
   public $fields;

   /**
    * Default Field Instance
    *
    * @var DefaultField
    */
   public $defaulfFieldInsatnce;

   /**
    * Custom Field Instance
    *
    * @var CustomField
    */
   public $customFieldInstance;


   /**
    * Orderbump Instance
    *
    * @var OrderBump
    */
    public $orderBumpInsatnce;

    /**
     * HTML Tags Instance
     *
     * @var OrderBump
     */
    public $htmlTagsInstance;

   /**
    * Field constructor.
    *
    * Initializes default and custom field instances.
    *
    * @param null $checkoutId
    * @since 1.0.0
    */
   public function __construct($defaultFieldInstance, $customFieldInstance, $checkoutId) {
      $this->fields = [
         'default'   => [],
         'custom'    => [],
         'orderbump' => [],
          'htmlTags'  => []
      ];
      

      $this->defaulfFieldInsatnce = $defaultFieldInstance;
      $this->fields['default'] = $this->defaulfFieldInsatnce->getFields();
      $this->customFieldInstance = $customFieldInstance;
      $this->fields['custom'] = $this->customFieldInstance->getFields();
      $this->orderBumpInsatnce = new OrderBump($checkoutId);
      $this->fields['orderbump'] = $this->orderBumpInsatnce->getOrderBumps();
      $this->htmlTagsInstance = new HTMLTagsField($checkoutId);
      $this->fields['htmlTags'] = $this->htmlTagsInstance->getFields();
   }
   
   /**
    * Get all fields.
    *
    * @return array
    * @since 1.0.0
    */
   public function getFields() {

      return $this->fields;
   }
}
