<?php
/**
 * Class Box
 *
 * Manages box style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Style;
use RexTheme\Checkoutify\Abstracts\StyleProperty;
/**
 * Class Box
 *
 * Manages box style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */
class Box extends StyleProperty {

    /**
     * Default CSS properties.
     *
     * @var array
     * @since 1.0.0
     */
    public $properties = array(
        'fontSize'        => 14,
        'lineHeight'      => 1.5,
        'lineHeightRange' => 13,
        'fontFamily'      => '',
        'fontWeight'      => '400',
        'color'           => '#909090',
        'backgroundColor' => '#FAFAF8',
        'paddingTop'      => 15,
        'paddingRight'    => 20,
        'paddingBottom'   => 15,
        'paddingLeft'     => 20,
    );

    /**
     * Get the style properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getProperties() {
        return $this->properties;
    }
}
