<?php
/**
 * Class Box
 *
 * Manages box style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Style;
use RexTheme\Checkoutify\Abstracts\StyleProperty;
/**
 * Class Box
 *
 * Manages box style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

 class Button extends StyleProperty{

    /**
     * Default CSS properties.
     *
     * @var array
     * @since 1.0.0
     */
    public $properties = array(
        'fontFamily'        => '',
        'fontWeight'        => '600',
        'fontSize'          => 15,
        'lineHeight'        => 1,
        'lineHeightRange'   => 4,
        'textTransform'     => array(
            'title' => 'Default',
            'value' => 'none',
        ),
        'color'             => '#fff',
        'backgroundColor'   => '#648E8B',
        'borderWidth'       => 1,
        'borderStyle'       => array(
            'title' => 'Solid',
            'value' => 'solid',
        ),
        'borderColor'       => '#648E8B',
        'borderRadius'      => 8,
        'borderRadiusRange' => 14,
        'paddingTop'        => 12,
        'paddingRight'      => 10,
        'paddingBottom'     => 13,
        'paddingLeft'       => 10,
        'lostPassColor'      => '#009064',
        'lostPassFontSize'   => 14,
        'lostPassFontWeight' => '500',
    );


    /**
     * Get the style properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getProperties(){
        return $this->properties;
    }
 }