<?php
/**
 * Input.php
 *
 * Manages input style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Style;
use RexTheme\Checkoutify\Abstracts\StyleProperty;
/**
 * Class Input
 *
 * Manages input style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */
class Input extends StyleProperty {

    /**
     * Default CSS properties for the input style.
     *
     * @var array
     * @since 1.0.0
     */
    public $properties = array(
        'fontFamily'        => '',
        'fontWeight'        => '400',
        'fontSize'          => 13,
        'lineHeight'        => 1.1,
        'lineHeightRange'   => 5,
        'textTransform'     => array(
            'title' => 'Default',
            'value' => 'none',
        ),
        'color'             => '#b3b3b3',
        'backgroundColor'   => '#fff',
        'arrowColor'        => '#7A8B9A',
        'borderWidth'       => 1,
        'borderStyle'       => array(
            'title' => 'Solid',
            'value' => 'solid',
        ),
        'borderColor'       => '#E7E7E6',
        'borderRadius'      => 6,
        'borderRadiusRange' => 13,
        'paddingTop'        => 13,
        'paddingRight'      => 16,
        'paddingBottom'     => 13,
        'paddingLeft'       => 16,
    );

    /**
     * Get the input style properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getProperties() {
        return $this->properties;
    }
}
