<?php
/**
 * Label.php
 *
 * Manages label style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Style;
use RexTheme\Checkoutify\Abstracts\StyleProperty;
/**
 * Class Label
 *
 * Manages label style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */
class Label extends StyleProperty {

    /**
     * Default CSS properties for the label style.
     *
     * @var array
     * @since 1.0.0
     */
    public $properties = array(
        'placement'         => 'outside',
        'fontSize'          => 13,
        'lineHeight'        => 1.1,
        'lineHeightRange'   => 5,
        'textTransform'     => array(
            'title' => 'Default',
            'value' => 'none',
        ),
        'textDecoration'    => array(
            'title' => 'Default',
            'value' => 'none',
        ),
        'fontFamily'        => '',
        'fontWeight'        => '400',
        'color'             => '#2D3149',
        'top'               => '-8',
        'backgroundColor'   => '#ffffff',
        'marginBottom'      => 10,
        'marginBottomRange' => 32,
    );

    /**
     * Get the label style properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getProperties() {
        return $this->properties;
    }
}
