<?php
/**
 * Product.php
 *
 * Manages product style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Style;
use RexTheme\Checkoutify\Abstracts\StyleProperty;
/**
 * Class Product
 *
 * Manages product style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */
class Product extends StyleProperty {

    /**
     * Default CSS properties for the product style.
     *
     * @var array
     * @since 1.0.0
     */
    public $properties = array(
        'productImg'         => true,
        'fontFamily'         => '',
        'fontWeight'         => '500',
        'fontSize'           => 13,
        'lineHeight'         => 1,
        'lineHeightRange'    => 1,
        'letterSpacing'      => 0,
        'letterSpacingRange' => 0,
        'textTransform'      => array(
            'title' => 'Default',
            'value' => 'none',
        ),
        'textDecoration'     => array(
            'title' => 'Default',
            'value' => 'none',
        ),
        'color'              => '#1B201F',
        'borderColor'        => '#E7E7E6',
    );

    /**
     * Get the product style properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getProperties() {
        return $this->properties;
    }
}
