<?php
/**
 * Radio.php
 *
 * Manages radio style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Style;
use RexTheme\Checkoutify\Abstracts\StyleProperty;
/**
 * Class Radio
 *
 * Manages radio style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */
class Radio extends StyleProperty {

    /**
     * Default CSS properties for the radio style.
     *
     * @var array
     * @since 1.0.0
     */
    public $properties = array(
        'layout'            => 'vertical',
        'fontFamily'        => '',
        'fontWeight'        => '400',
        'fontSize'          => 14,
        'lineHeight'        => 1.3,
        'lineHeightRange'   => 8,
        'textTransform'     => array(
            'title' => 'Default',
            'value' => 'none',
        ),
        'color'             => '#2D3149',
        'backgroundColor'   => '#F7F7FA',
        'borderWidth'       => 1,
        'borderStyle'       => array(
            'title' => 'Solid',
            'value' => 'solid',
        ),
        'borderColor'       => '#bdc7eb',
        'borderRadius'      => 100,
        'borderRadiusRange' => 100,
        'height'            => 18,
        'width'             => 18,
        'activeBgColor'     => '#009064',
        'activeBorderColor' => '#009064',
        'activeIconColor'   => '#ffffff',
        'activeIconHeight'  => 6,
        'activeIconWidth'   => 6,
        'gap'               => 10,
    );

    /**
     * Get the radio style properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getProperties() {
        return $this->properties;
    }
}
