<?php
/**
 * Section.php
 *
 * Manages section style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Style;
use RexTheme\Checkoutify\Abstracts\StyleProperty;
/**
 * Class Section
 *
 * Manages section style properties.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */
class Section extends StyleProperty {

    /**
     * Default CSS properties for the section style.
     *
     * @var array
     * @since 1.0.0
     */
    public $properties = array(
        'backgroundColor'   => '#fff',
        'borderWidth'       => 1,
        'borderStyle'       => array(
            'title' => 'Solid',
            'value' => 'solid',
        ),
        'borderColor'       => '#E7E7E6',
        'borderRadius'      => 8,
        'borderRadiusRange' => 18,
        'paddingTop'        => 20,
        'paddingRight'      => 20,
        'paddingBottom'     => 20,
        'paddingLeft'       => 20,
    );

    /**
     * Get the section style properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getProperties() {
        return $this->properties;
    }
}
