<?php
/**
 * Style.php
 *
 * Manages styles for the checkout module.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Style;

/**
 * Class Style
 *
 * Manages styles for the checkout module.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */
class Style {
    
    /**
     * Get styles for the supported styles.
     *
     * @param array $supportedStyles An array of supported styles.
     * @return array
     * @since 1.0.0
     */
    public function getStyles($supportedStyles = []) {
        $styles = [];
        foreach ($supportedStyles as $supportedStyle) {
            $className = "\\RexTheme\\Checkoutify\\Module\\Style\\" . ucfirst($supportedStyle);
            if( class_exists($className)){
                $styleInstance = new $className();
                $styles[$supportedStyle] = $styleInstance->getProperties();
            }
        }
        return $styles;
    }
}
