<?php
/**
 * SubTotal.php
 *
 * Manages styles for the subtotal module.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module\Style;
use RexTheme\Checkoutify\Abstracts\StyleProperty;
/**
 * Class SubTotal
 *
 * Manages styles for the subtotal module.
 *
 * @package RexTheme\Checkoutify\Module\Style
 * @since 1.0.0
 */
class SubTotal extends StyleProperty {

    /**
     * CSS properties
     *
     * @var array
     */
    public $properties = array(
        'fontFamily'         => '',
        'fontWeight'         => '500',
        'fontSize'           => 13,
        'lineHeight'         => 1,
        'lineHeightRange'    => 1,
        'letterSpacing'      => 0,
        'letterSpacingRange' => 0,
        'textTransform'      => array(
            'title' => 'Default',
            'value' => 'none',
        ),
        'textDecoration'     => array(
            'title' => 'Default',
            'value' => 'none',
        ),
        'color'              => '#1B201F',
    );

    /**
     * Get the CSS properties.
     *
     * @return array
     * @since 1.0.0
     */
    public function getProperties() {
        return $this->properties;
    }
}
