<style id="rex-checkoutify-orderbump4-style">
    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 {
        border-radius: 12px;
        position: relative;
        margin-bottom: 15px;
        border-width: 1px;
        border-style: solid;
        border-color: <?php echo isset($field['styles']['obPrimaryColor']) ? $field['styles']['obPrimaryColor'] : ''; ?>;
        padding: 16px;
        background-color: <?php echo isset($field['styles']['obBgColor']) ? $field['styles']['obBgColor'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .offer-checkbox {
        padding: 0;
        margin: 0;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 12px;
    }
    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .title-wrapper {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        width: calc(100% - 64px);
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .product-price,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .product-title {
        font-size: 14px;
        line-height: 1.2;
        font-weight: 700;
        padding: 0;
        margin: 0;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .product-title {
        color: <?php echo isset($field['product']['title']['styles']['color']) ? $field['product']['title']['styles']['color'] : ''; ?>;
    }
    
    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .product-price {
        display: inline-block;
        margin-left: 10px;
        color: <?php echo isset($field['product']['price']['styles']['color']) ? $field['product']['price']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .add-product {
        font-size: 16px;
        line-height: 1;
        border: none;
        padding: 0;
        margin: 0;
        outline: none;
        box-shadow: none!important;
        font-weight: 700;
        background-color: transparent!important;
        cursor: pointer;
        color: <?php echo isset($field['styles']['obPrimaryColor']) ? $field['styles']['obPrimaryColor'] : ''; ?>!important;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .product-description span,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .product-description li,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .product-description p,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump4 .product-description {
        color: <?php echo isset($field['product']['description']['styles']['color']) ? $field['product']['description']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-orderbump4 .nav-arrow {
        animation: moveArrow 1s linear infinite;
        margin-right: 8px;
    }
    .rex-checkoutify-orderbump4 .nav-arrow path {
        fill: <?php echo isset($field['product']['title']['styles']['color']) ? $field['product']['title']['styles']['color'] : ''; ?>;
    }

    @keyframes moveArrow {
        0%, 100% {
            transform: translateX(-8px);
            opacity: 1;
        }
        50%, 90% {
            transform: translateX(15px);
            opacity: 0;
        }
        99% {
            transform: translateX(-8px);
            opacity: 0;
        }
    }

    /* -----responsive style------ */
    @media only screen and (max-width: 575px){
        .rex-checkoutify-checkout .rex-checkoutify-orderbump4 {
            padding: 10px;
        }

    }
</style>

<?php
    $dataKey = isset($field['key']) ? $field['key'] : '';
    $productId = isset($field['product']['id']) ? $field['product']['id'] : '';
    $dataQuantity = isset($field['product']['quantity']) ? $field['product']['quantity'] : '';
    $salePrice = isset($field['product']['discount']['salePrice']) ? $field['product']['discount']['salePrice'] : '';
    $regularPrice = isset($field['product']['discount']['regularPrice']) ? $field['product']['discount']['regularPrice'] : '';
    $discountedPrice = isset($field['product']['discount']['discountedPrice']) ? $field['product']['discount']['discountedPrice'] : '';
    $replace = isset($field['product']['replace']) && true === $field['product']['replace'] ? 'yes' : 'no';
?>

<div class="rex-checkoutify-orderbump rex-checkoutify-orderbump4">
    <div class="rex-checkoutify-ob-loader">
        <span class="rex-checkoutify-loader"></span>
    </div>

    <div class="offer-checkbox">
        <div class="title-wrapper">
            <span class="nav-arrow">
                <svg width="15" height="13" viewBox="0 0 15 13" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M14.9081 6.72871L8.65523 12.9102C8.56587 12.9982 8.43279 13.0236 8.31471 12.9771C8.19788 12.9288 8.12226 12.816 8.12226 12.6908V9.2825H0.312405C0.139963 9.28247 0 9.14368 0 8.97264V4.01504C0 3.844 0.139963 3.70518 0.312405 3.70518H8.12229V0.309859C8.12229 0.18469 8.19853 0.0718956 8.31535 0.0235586C8.3541 0.00743675 8.39469 0 8.4347 0C8.51591 0 8.59589 0.0316048 8.65587 0.0904856L14.9088 6.28997C14.9675 6.34821 15 6.42693 15 6.50934C15 6.59175 14.9668 6.67044 14.9081 6.72871Z" fill="#363B4E"></path></svg>
            </span>

            <span class="product-title">
                <?php 
                    echo isset($field['product']['title']['text']) ? $field['product']['title']['text'] : ''; 
                    echo ' x ';
                    echo isset($field['product']['quantity']) ? $field['product']['quantity'] : '';
                ?>&nbsp;
            </span>
            
            <?php 
            if( isset($field['product']['discount']['type']['value']) && 'original' === $field['product']['discount']['type']['value']  ) {   
                if( isset($field['product']['discount']['salePrice']) && $field['product']['discount']['salePrice'] ) { ?>
                    <span class="product-price">
                        <del>
                            <?php echo get_woocommerce_currency_symbol(). isset($field['product']['discount']['regularPrice']) ? $field['product']['discount']['regularPrice'] : ''; ?>
                        </del>
                        <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['salePrice']; ?>
                    </span>
                <?php }else{ ?>
                    <span class="product-price">
                        <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['regularPrice']; ?>
                    </span>
                <?php } 
            }else{
                if( isset($field['product']['discount']['applyto']['value']) && 'regular-price' === $field['product']['discount']['applyto']['value'] ) { ?>
                    <span class="product-price">
                        <del>
                            <?php echo get_woocommerce_currency_symbol(). isset($field['product']['discount']['regularPrice']) ? $field['product']['discount']['regularPrice'] : ''; ?>
                        </del>
                        <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['discountedPrice']; ?>
                    </span>
                <?php }else{ ?>
                    <span class="product-price">
                        <del>
                            <?php echo get_woocommerce_currency_symbol(). isset($field['product']['discount']['salePrice']) ? $field['product']['discount']['salePrice'] : ''; ?>
                        </del>
                        <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['discountedPrice']; ?>
                    </span>
                <?php } 
            }
            ?>

        </div>

        <label class="rex-checkoutify-tailwind-checkbox">
            <input type="checkbox" name="add-ob-product" class="add-ob-product" data-key="<?php echo $dataKey; ?>" data-product-id="<?php echo $productId; ?>" data-quantity="<?php echo $dataQuantity; ?>" data-sale-price="<?php echo $salePrice; ?>" data-regular-price="<?php echo $regularPrice; ?>" data-discounted-price="<?php echo $discountedPrice; ?>" data-replace="<?php echo $replace; ?>"/>
            <span class="add-product">Add</span>
        </label>
    </div>

    <div class="template-wrapper">
        <div class="product-content">
            <div class="product-description">
                <?php echo isset($field['product']['description']['text']) ? $field['product']['description']['text'] : ''; ?>
            </div>
        </div>
    </div>
    
</div>