<style id="rex-checkoutify-orderbump5-style">
    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 {
        border-radius: 12px;
        position: relative;
        padding: 20px;
        margin-bottom: 15px;
        border-width: 2px;
        border-style: solid;
        border-color: <?php echo isset($field['styles']['obPrimaryColor']) ? $field['styles']['obPrimaryColor'] : ''; ?>;
        background-color: <?php echo isset($field['styles']['obBgColor']) ? $field['styles']['obBgColor'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-subtitle {
        font-size: 18px;
        line-height: 1.4;
        font-weight: 500;
        margin: 0 0 14px 0;
        padding: 0;
        text-align: center;
        color: <?php echo isset($field['product']['hightlightText']['styles']['color']) ? $field['product']['hightlightText']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .offer-checkbox {
        padding: 12px;
        margin: 0 0 20px 0;
        border-radius: 10px;
        background-color: <?php echo isset($field['styles']['obPrimaryColor']) ? $field['styles']['obPrimaryColor'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .rex-checkoutify-tailwind-checkbox .checkbox-title {
        color: <?php echo isset($field['product']['checkboxText']['styles']['color']) ? $field['product']['checkboxText']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-price,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-price del,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-price span {
        display: inline-block;
        font-size: 13px;
        line-height: 1.2;
        font-weight: 500;
        margin: 0;
        padding: 0;
        color: <?php echo isset($field['product']['price']['styles']['color']) ? $field['product']['price']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .template-wrapper {
        display: flex;
        align-items: flex-start;
        gap: 20px;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-img {
        height: 150px;
        width: 150px;
        border-radius: 10px;
        background-image: url(<?php echo isset($field['product']['img']) ? $field['product']['img'] : ''; ?>);
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-content {
        width: calc(100% - 170px);
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-content .product-title {
        font-size: 14px;
        line-height: 1.3;
        font-weight: 500;
        margin: 0 0 9px 0;
        padding: 0;
        color: <?php echo isset($field['product']['title']['styles']['color']) ? $field['product']['title']['styles']['color'] : ''; ?>;
    }

    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-description span,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-description li,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-description p,
    .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-description {
        color: <?php echo isset($field['product']['description']['styles']['color']) ? $field['product']['description']['styles']['color'] : ''; ?>;
    }

    /* -----responsive style------ */
    @media only screen and (max-width: 575px){
        .rex-checkoutify-checkout .rex-checkoutify-orderbump5 {
            padding: 10px;
        }
        .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .template-wrapper {
            gap: 15px;
            flex-direction: column;
        }
        .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-content {
            width: 100%;
        }
        .rex-checkoutify-checkout .rex-checkoutify-orderbump5 .product-img {
            width: 100%;
        }
    }
</style>

<?php
    $dataKey = isset($field['key']) ? $field['key'] : '';
    $productId = isset($field['product']['id']) ? $field['product']['id'] : '';
    $dataQuantity = isset($field['product']['quantity']) ? $field['product']['quantity'] : '';
    $salePrice = isset($field['product']['discount']['salePrice']) ? $field['product']['discount']['salePrice'] : '';
    $regularPrice = isset($field['product']['discount']['regularPrice']) ? $field['product']['discount']['regularPrice'] : '';
    $discountedPrice = isset($field['product']['discount']['discountedPrice']) ? $field['product']['discount']['discountedPrice'] : '';
    $replace = isset($field['product']['replace']) && true === $field['product']['replace'] ? 'yes' : 'no';
?>

<div class="rex-checkoutify-orderbump rex-checkoutify-orderbump5">
    <div class="rex-checkoutify-ob-loader">
        <span class="rex-checkoutify-loader"></span>
    </div>

    <h6 class="product-subtitle">
        <?php echo isset($field['product']['hightlightText']['text']) ? $field['product']['hightlightText']['text'] : ''; ?>
    </h6>

    <div class="offer-checkbox">
        <label class="rex-checkoutify-tailwind-checkbox">
            <input type="checkbox" name="add-ob-product" class="add-ob-product" data-key="<?php echo $dataKey; ?>" data-product-id="<?php echo $productId; ?>" data-quantity="<?php echo $dataQuantity; ?>" data-sale-price="<?php echo $salePrice; ?>" data-regular-price="<?php echo $regularPrice; ?>" data-discounted-price="<?php echo $discountedPrice; ?>" data-replace="<?php echo $replace; ?>"/>

            <span class="checkbox-box">
                <span class="checkbox-box-inner">
                    <svg fill="none" width="12" height="10" viewBox="0 0 12 10" xmlns="http://www.w3.org/2000/svg"><path fill="#fff" d="M5.538 9.635a.23.23 0 01-.17-.074L.8 4.618a.23.23 0 01.169-.387h2.2a.23.23 0 01.173.08L4.87 6.066c.165-.353.485-.94 1.045-1.656.83-1.058 2.37-2.614 5.008-4.019a.23.23 0 01.25.386c-.01.008-1.027.809-2.197 2.275C7.898 4.403 6.466 6.61 5.762 9.46a.23.23 0 01-.224.175z"/></svg>
                </span>
            </span>

            <span class="checkbox-title">
                <?php echo isset($field['product']['checkboxText']['text']) ? $field['product']['checkboxText']['text'] : ''; ?>

                <?php 
                if( isset($field['product']['discount']['type']['value']) && 'original' === $field['product']['discount']['type']['value']  ) {   
                    if( isset($field['product']['discount']['salePrice']) && $field['product']['discount']['salePrice'] ) { ?>
                        <span class="product-price">
                            <del>
                                <?php echo get_woocommerce_currency_symbol(). isset($field['product']['discount']['regularPrice']) ? $field['product']['discount']['regularPrice'] : ''; ?>
                            </del>
                            <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['salePrice']; ?>
                        </span>
                    <?php }else{ ?>
                        <span class="product-price">
                            <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['regularPrice']; ?>
                        </span>
                    <?php } 
                }else{
                    if( isset($field['product']['discount']['applyto']['value']) && 'regular-price' === $field['product']['discount']['applyto']['value'] ) { ?>
                        <span class="product-price">
                            <del>
                                <?php echo get_woocommerce_currency_symbol(). isset($field['product']['discount']['regularPrice']) ? $field['product']['discount']['regularPrice'] : ''; ?>
                            </del>
                            <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['discountedPrice']; ?>
                        </span>
                    <?php }else{ ?>
                        <span class="product-price">
                            <del>
                                <?php echo get_woocommerce_currency_symbol(). isset($field['product']['discount']['salePrice']) ? $field['product']['discount']['salePrice'] : ''; ?>
                            </del>
                            <?php echo get_woocommerce_currency_symbol(). $field['product']['discount']['discountedPrice']; ?>
                        </span>
                    <?php } 
                }
                ?>
            </span>
        </label>
    </div>

    <div class="template-wrapper">
        <div class="product-img">
            <?php if( isset($field['product']) && !$field['product']['img'] ){ ?>
                <svg width="40" height="40" fill="none" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path fill="#7A8B9A" d="M2.58 19.01l-.02.02c-.27-.59-.44-1.26-.51-2 .07.73.26 1.39.53 1.98zM9 10.38a2.38 2.38 0 100-4.76 2.38 2.38 0 000 4.76z"/><path fill="#7A8B9A" d="M16.19 2H7.81C4.17 2 2 4.17 2 7.81v8.38c0 1.09.19 2.04.56 2.84.86 1.9 2.7 2.97 5.25 2.97h8.38c3.64 0 5.81-2.17 5.81-5.81V7.81C22 4.17 19.83 2 16.19 2zm4.18 10.5c-.78-.67-2.04-.67-2.82 0l-4.16 3.57c-.78.67-2.04.67-2.82 0l-.34-.28c-.71-.62-1.84-.68-2.64-.14l-3.74 2.51c-.22-.56-.35-1.21-.35-1.97V7.81c0-2.82 1.49-4.31 4.31-4.31h8.38c2.82 0 4.31 1.49 4.31 4.31v4.8l-.13-.11z"/></svg>
            <?php } ?>
        </div>
        
        <div class="product-content">
            <h5 class="product-title">
                <?php 
                    echo isset($field['product']['title']['text']) ? $field['product']['title']['text'] : '';
                    echo ' x ';
                    echo isset($field['product']['quantity']) ? $field['product']['quantity'] : ''; 
                ?>
            </h5>

            <div class="product-description">
                <?php echo isset($field['product']['description']['text']) ? $field['product']['description']['text'] : ''; ?>
            </div>
        </div>
    </div>
    
</div>