<?php
/**
 * Bricks Manager class
 *
 * @package RexTheme\Checkoutify\Widgets
 */

namespace RexTheme\Checkoutify\Widgets\Bricks;

use RexTheme\Checkoutify\Common\Functions;
use RexTheme\Checkoutify\Common\Keys;
/**
 * Class Manager
 *
 * @package RexTheme\Checkoutify\Widgets
 */
class Manager {


    /**
     * Instance
     *
     * @since 1.0.0
     *
     * @access private
     * @static
     *
     * @var Manager The single instance of the class.
     */
    private static $instance = null;

    /**
     * Instance
     *
     * Ensures only one instance of the class is loaded or can be loaded.
     *
     * @return Manager An instance of the class.
     * @since  1.0.0
     *
     * @access public
     * @static
     */
    public static function instance() {
        if (is_null(self::$instance)) {
            self::$instance = new self();
        }
        return self::$instance;
    }

    /**
     * Constructor
     *
     * @since 1.0.0
     *
     * @access public
     */
    public function __construct() {
        add_action('init', array($this, 'init'));
    }


     /**
     * Register checkout elements for bricks
     *
     * @since 1.0.0
     *
     * @access public
     */
    public function init() {
        $element_files = [
            CHECKOUTIFY_DIR. '/includes/Widgets/Bricks/CheckoutWidget.php'
        ];
       
        foreach ( $element_files as $file ) {
            \Bricks\Elements::register_element( $file, '', 'RexTheme\Checkoutify\Widgets\Bricks\CheckoutWidget' );
        }
    }

}

Manager::instance();