<?php
/**
 * Layout.php
 *
 * @package RexTheme\Checkoutify
 * @since 1.0.0
 */

namespace RexTheme\Checkoutify\Module;

use RexTheme\Checkoutify\Common\Functions;

/**
 * Class Layout
 *
 * This class manages all checkout layouts.
 *
 * @since 1.0.0
 */
class Layout {


	/**
	 * Get available layouts.
	 *
	 * This method retrieves an array of available checkout layouts
	 *
	 * @return array An array of checkout layouts.
	 *
	 * @since 1.0.0
	 */
	public function getLayouts() {
		$layouts  = array(
			array(
				'title'                         => __('Express Layout', 'checkoutify'),
				'isPro'                         => true,
				'featuredImage'                 => CHECKOUTIFY_LAYOUT_PATH . 'express-layout.png',
				'checkoutify_checkout_data'     => 'a:1:{i:0;a:3:{s:5:"label";s:8:"step - 1";s:3:"key";s:15:"step_3792260845";s:8:"sections";a:1:{i:0;a:7:{s:5:"label";s:12:"Billing Info";s:3:"key";s:0:"";s:10:"subHeading";s:11:"sub heading";s:7:"classes";a:1:{i:0;s:0:"";}s:6:"styles";a:2:{s:7:"section";a:12:{s:15:"backgroundColor";s:7:"#ffffff";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#e5e7eb";s:12:"borderRadius";i:10;s:17:"borderRadiusRange";i:21;s:10:"paddingTop";i:14;s:12:"paddingRight";i:20;s:13:"paddingBottom";i:20;s:11:"paddingLeft";i:20;s:12:"marginBottom";i:30;s:17:"marginBottomRange";i:30;}s:12:"sectionTitle";a:8:{s:8:"fontSize";i:15;s:10:"fontWeight";s:3:"600";s:10:"lineHeight";d:1.3;s:5:"color";s:7:"#1b201f";s:10:"fontFamily";s:0:"";s:13:"textTransform";a:2:{s:5:"title";s:10:"Capitalize";s:5:"value";s:10:"capitalize";}s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}}s:11:"isTwoColumn";b:1;s:6:"fields";a:2:{s:4:"left";a:12:{i:0;a:15:{s:5:"label";s:10:"First name";s:8:"required";b:1;s:5:"class";a:1:{i:0;s:14:"form-row-first";}s:12:"autocomplete";s:10:"given-name";s:8:"priority";i:10;s:3:"key";s:18:"billing_first_name";s:4:"name";s:18:"billing_first_name";s:9:"fieldType";s:0:"";s:11:"placeholder";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:1;a:15:{s:5:"label";s:9:"Last name";s:8:"required";b:1;s:5:"class";a:1:{i:0;s:13:"form-row-last";}s:12:"autocomplete";s:11:"family-name";s:8:"priority";i:20;s:3:"key";s:17:"billing_last_name";s:4:"name";s:17:"billing_last_name";s:9:"fieldType";s:0:"";s:11:"placeholder";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:2;a:17:{s:5:"label";s:13:"Email address";s:8:"required";b:1;s:4:"type";s:5:"email";s:5:"class";a:1:{i:0;s:13:"form-row-wide";}s:8:"validate";a:1:{i:0;s:5:"email";}s:12:"autocomplete";s:5:"email";s:8:"priority";i:110;s:3:"key";s:13:"billing_email";s:4:"name";s:13:"billing_email";s:9:"fieldType";s:0:"";s:11:"placeholder";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:3;a:17:{s:5:"label";s:5:"Phone";s:8:"required";b:1;s:4:"type";s:3:"tel";s:5:"class";a:1:{i:0;s:13:"form-row-wide";}s:8:"validate";a:1:{i:0;s:5:"phone";}s:12:"autocomplete";s:3:"tel";s:8:"priority";i:100;s:3:"key";s:13:"billing_phone";s:4:"name";s:13:"billing_phone";s:9:"fieldType";s:0:"";s:11:"placeholder";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:4;a:16:{s:4:"type";s:7:"country";s:5:"label";s:16:"Country / Region";s:8:"required";b:1;s:5:"class";a:3:{i:0;s:13:"form-row-wide";i:1;s:13:"address-field";i:2;s:23:"update_totals_on_change";}s:12:"autocomplete";s:7:"country";s:8:"priority";i:40;s:3:"key";s:15:"billing_country";s:4:"name";s:15:"billing_country";s:9:"fieldType";s:0:"";s:11:"placeholder";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:5;a:19:{s:4:"type";s:5:"state";s:5:"label";s:14:"State / County";s:8:"required";b:1;s:5:"class";a:2:{i:0;s:13:"form-row-wide";i:1;s:13:"address-field";}s:8:"validate";a:1:{i:0;s:5:"state";}s:12:"autocomplete";s:14:"address-level1";s:8:"priority";i:80;s:13:"country_field";s:15:"billing_country";s:7:"country";s:2:"US";s:3:"key";s:13:"billing_state";s:4:"name";s:13:"billing_state";s:9:"fieldType";s:0:"";s:11:"placeholder";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:6;a:15:{s:5:"label";s:14:"Street address";s:11:"placeholder";s:0:"";s:8:"required";b:1;s:5:"class";a:2:{i:0;s:13:"form-row-wide";i:1;s:13:"address-field";}s:12:"autocomplete";s:13:"address-line1";s:8:"priority";i:50;s:3:"key";s:17:"billing_address_1";s:4:"name";s:17:"billing_address_1";s:9:"fieldType";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:7;a:16:{s:5:"label";s:28:"Apartment, suite, unit, etc.";s:11:"label_class";a:1:{i:0;s:18:"screen-reader-text";}s:11:"placeholder";s:0:"";s:5:"class";a:2:{i:0;s:13:"form-row-wide";i:1;s:13:"address-field";}s:12:"autocomplete";s:13:"address-line2";s:8:"priority";i:60;s:8:"required";b:0;s:3:"key";s:17:"billing_address_2";s:4:"name";s:17:"billing_address_2";s:9:"fieldType";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:8;a:15:{s:5:"label";s:11:"Town / City";s:8:"required";b:1;s:5:"class";a:2:{i:0;s:13:"form-row-wide";i:1;s:13:"address-field";}s:12:"autocomplete";s:14:"address-level2";s:8:"priority";i:70;s:3:"key";s:12:"billing_city";s:4:"name";s:12:"billing_city";s:9:"fieldType";s:0:"";s:11:"placeholder";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:9;a:16:{s:5:"label";s:14:"Postcode / ZIP";s:8:"required";b:1;s:5:"class";a:2:{i:0;s:13:"form-row-wide";i:1;s:13:"address-field";}s:8:"validate";a:1:{i:0;s:8:"postcode";}s:12:"autocomplete";s:11:"postal-code";s:8:"priority";i:90;s:3:"key";s:16:"billing_postcode";s:4:"name";s:16:"billing_postcode";s:9:"fieldType";s:0:"";s:11:"placeholder";s:0:"";s:10:"validation";s:0:"";s:13:"fieldCategory";s:8:"wooField";s:18:"showOnThankYouPage";b:0;s:15:"showInOrderPage";b:0;s:7:"options";a:0:{}s:6:"styles";a:2:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}}}i:10;a:7:{s:3:"key";s:14:"payment_method";s:9:"fieldType";s:14:"payment-method";s:5:"class";a:1:{i:0;s:23:"rex-checkoutify-payment";}s:5:"label";s:7:"Payment";s:4:"name";s:14:"payment_method";s:13:"fieldCategory";s:8:"wooField";s:6:"styles";a:1:{s:7:"payment";a:5:{s:7:"section";a:10:{s:15:"backgroundColor";s:4:"#fff";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:8;s:17:"borderRadiusRange";i:18;s:10:"paddingTop";i:20;s:12:"paddingRight";i:20;s:13:"paddingBottom";i:20;s:11:"paddingLeft";i:20;}s:5:"radio";a:22:{s:6:"layout";s:8:"vertical";s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:14;s:10:"lineHeight";d:1.3;s:15:"lineHeightRange";i:8;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#2D3149";s:15:"backgroundColor";s:7:"#F7F7FA";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#bdc7eb";s:12:"borderRadius";i:100;s:17:"borderRadiusRange";i:100;s:6:"height";i:18;s:5:"width";i:18;s:13:"activeBgColor";s:7:"#009064";s:17:"activeBorderColor";s:7:"#009064";s:15:"activeIconColor";s:7:"#ffffff";s:16:"activeIconHeight";i:6;s:15:"activeIconWidth";i:6;s:3:"gap";i:10;}s:3:"box";a:11:{s:8:"fontSize";i:14;s:10:"lineHeight";d:1.5;s:15:"lineHeightRange";i:13;s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#909090";s:15:"backgroundColor";s:7:"#FAFAF8";s:10:"paddingTop";i:15;s:12:"paddingRight";i:20;s:13:"paddingBottom";i:15;s:11:"paddingLeft";i:20;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}s:8:"checkbox";a:20:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:14;s:10:"lineHeight";d:1.3;s:15:"lineHeightRange";i:8;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#2D3149";s:15:"backgroundColor";s:7:"#F7F7FA";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#bdc7eb";s:12:"borderRadius";i:3;s:17:"borderRadiusRange";i:8;s:6:"height";i:18;s:5:"width";i:18;s:13:"activeBgColor";s:7:"#009064";s:17:"activeBorderColor";s:7:"#009064";s:10:"checkColor";s:4:"#fff";s:15:"checkIconHeight";i:10;s:14:"checkIconWidth";i:12;}}}}i:11;a:7:{s:3:"key";s:11:"place_order";s:9:"fieldType";s:6:"button";s:5:"class";a:1:{i:0;s:27:"rex-checkoutify-place-order";}s:5:"label";s:11:"Place order";s:4:"name";s:11:"place_order";s:13:"fieldCategory";s:8:"wooField";s:6:"styles";a:1:{s:6:"button";a:20:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"600";s:8:"fontSize";i:15;s:10:"lineHeight";i:1;s:15:"lineHeightRange";i:4;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:4:"#fff";s:15:"backgroundColor";s:7:"#648E8B";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#648E8B";s:12:"borderRadius";i:8;s:17:"borderRadiusRange";i:14;s:10:"paddingTop";i:12;s:12:"paddingRight";i:10;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:10;s:13:"lostPassColor";s:7:"#009064";s:16:"lostPassFontSize";i:14;s:18:"lostPassFontWeight";s:3:"500";}}}}s:5:"right";a:2:{i:0;a:7:{s:3:"key";s:13:"order_details";s:9:"fieldType";s:13:"order-details";s:5:"class";a:1:{i:0;s:29:"rex-checkoutify-order-details";}s:5:"label";s:13:"Order Details";s:4:"name";s:13:"order_details";s:13:"fieldCategory";s:8:"wooField";s:6:"styles";a:1:{s:12:"orderDetails";a:4:{s:7:"product";a:12:{s:10:"productImg";b:1;s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"500";s:8:"fontSize";i:13;s:10:"lineHeight";i:1;s:15:"lineHeightRange";i:1;s:13:"letterSpacing";i:0;s:18:"letterSpacingRange";i:0;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#1B201F";s:11:"borderColor";s:7:"#E7E7E6";}s:8:"subTotal";a:10:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"500";s:8:"fontSize";i:13;s:10:"lineHeight";i:1;s:15:"lineHeightRange";i:1;s:13:"letterSpacing";i:0;s:18:"letterSpacingRange";i:0;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#1B201F";}s:8:"shipping";a:21:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:14;s:10:"lineHeight";d:1.3;s:15:"lineHeightRange";i:8;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#2D3149";s:15:"backgroundColor";s:7:"#F7F7FA";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#bdc7eb";s:12:"borderRadius";i:100;s:17:"borderRadiusRange";i:100;s:6:"height";i:18;s:5:"width";i:18;s:13:"activeBgColor";s:7:"#009064";s:17:"activeBorderColor";s:7:"#009064";s:15:"activeIconColor";s:7:"#ffffff";s:16:"activeIconHeight";i:6;s:15:"activeIconWidth";i:6;s:3:"gap";i:10;}s:5:"total";a:10:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"600";s:8:"fontSize";i:15;s:10:"lineHeight";i:1;s:15:"lineHeightRange";i:1;s:13:"letterSpacing";i:0;s:18:"letterSpacingRange";i:0;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#1B201F";}}}}i:1;a:7:{s:3:"key";s:6:"coupon";s:9:"fieldType";s:6:"coupon";s:5:"class";a:1:{i:0;s:22:"rex-checkoutify-coupon";}s:5:"label";s:6:"Coupon";s:4:"name";s:6:"coupon";s:13:"fieldCategory";s:8:"wooField";s:6:"styles";a:1:{s:6:"coupon";a:3:{s:5:"label";a:13:{s:9:"placement";s:7:"outside";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:14:"textDecoration";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:5:"color";s:7:"#2D3149";s:3:"top";s:2:"-8";s:15:"backgroundColor";s:7:"#ffffff";s:12:"marginBottom";i:10;s:17:"marginBottomRange";i:32;}s:5:"input";a:18:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"400";s:8:"fontSize";i:13;s:10:"lineHeight";d:1.1000000000000001;s:15:"lineHeightRange";i:5;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:7:"#b3b3b3";s:15:"backgroundColor";s:4:"#fff";s:10:"arrowColor";s:7:"#7A8B9A";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E7E7E6";s:12:"borderRadius";i:6;s:17:"borderRadiusRange";i:13;s:10:"paddingTop";i:13;s:12:"paddingRight";i:16;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:16;}s:6:"button";a:20:{s:10:"fontFamily";s:0:"";s:10:"fontWeight";s:3:"600";s:8:"fontSize";i:15;s:10:"lineHeight";i:1;s:15:"lineHeightRange";i:4;s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:5:"color";s:4:"#fff";s:15:"backgroundColor";s:7:"#648E8B";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#648E8B";s:12:"borderRadius";i:8;s:17:"borderRadiusRange";i:14;s:10:"paddingTop";i:12;s:12:"paddingRight";i:10;s:13:"paddingBottom";i:13;s:11:"paddingLeft";i:10;s:13:"lostPassColor";s:7:"#009064";s:16:"lostPassFontSize";i:14;s:18:"lostPassFontWeight";s:3:"500";}}}}}}}}}}',
				'checkoutify_checkout_settings' => 'a:5:{s:10:"stepLayout";s:8:"vertical";s:15:"stepLayoutStyle";s:6:"style1";s:16:"previousBtnTitle";s:8:"Previous";s:12:"nextBtnTitle";s:4:"Next";s:10:"stepsStyle";a:2:{s:4:"step";a:6:{s:8:"fontSize";i:16;s:10:"fontWeight";i:500;s:10:"lineHeight";d:1.3;s:5:"color";s:7:"#1B201F";s:13:"textTransform";a:2:{s:5:"title";s:7:"Default";s:5:"value";s:4:"none";}s:11:"activeColor";s:7:"#009064";}s:6:"navBtn";a:18:{s:8:"fontSize";i:14;s:10:"fontWeight";i:500;s:10:"lineHeight";d:1.2;s:5:"color";s:7:"#1B201F";s:13:"textTransform";a:2:{s:5:"title";s:10:"Capitalize";s:5:"value";s:10:"capitalize";}s:15:"backgroundColor";s:11:"transparent";s:11:"borderWidth";i:1;s:11:"borderStyle";a:2:{s:5:"title";s:5:"Solid";s:5:"value";s:5:"solid";}s:11:"borderColor";s:7:"#E4E2ED";s:12:"borderRadius";i:10;s:17:"borderRadiusRange";i:21;s:10:"paddingTop";i:10;s:12:"paddingRight";i:21;s:13:"paddingBottom";i:10;s:11:"paddingLeft";i:21;s:11:"arrowHeight";i:12;s:10:"arrowWidth";i:13;s:3:"gap";i:4;}}}',
			),
		);
		$property = array(
			'data' => $layouts,
		);
		return Functions::getSuccessResponse( $property );
	}
}
